// иллюстрация функции _settextwindow()

#include <time.h>
#include <stdio.h>
#include <conio.h>
#include <graph.h>

void main()
{
	clock_t  end, wait = 0;


	_clearscreen(_GCLEARSCREEN);

	// определяем окно в центре экрана

	_settextwindow(8, 34, 17, 46);

	// функция _settextposition задает координаты курсора
	// относительно левого верхнего угла окна

	_settextposition(5, 5);

	// функция _outtext осуществляет запись строк символов в окно

	while(!kbhit()) {
		_outtext("0123456789");
		for(end = clock() + wait++; clock() < end;);
	}

	_settextwindow(10, 36, 15, 44);

	// очищаем новое окно

	_clearscreen(_GWINDOW);
	_settextposition(3, 4);
	printf("End!");
}

